## pandoc 1.16.0.2~dfsg

=== trypandoc/Makefile ===
CGIBIN=/home/website/cgi-bin
TRYPANDOC=/home/website/html/pandoc/try/
CGI=${CGIBIN}/trypandoc
BIN=../.cabal-sandbox/bin/trypandoc

install: ${CGI} ${TRYPANDOC}/index.html

${TRYPANDOC}/%: %
	cp $< $@ && chown website:www-data $@ && chmod a+r $@

${CGI}: ${BIN}
	cp $< $@ && chown website:www-data $@ && chmod a+rx $@

.PHONY: install

=== debian/changelog ===
pandoc (1.16.0.2~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Fix regression in latex smart quote parsing.
      Closes: Bug#810981. Thanks to Paul Menzel.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Suggest wkhtmltopdf, and document its use in long description.
    + Relax GHC upper bounds for http.
    + Tighten GHC lower bounds for texmath highlighting-kate.
    + Shift GHC bounds for pandoc-types cmark.
    + Stop GHC for deepseq-generics.
  * Sync long description with upstream description.
  * Exclude in repackaged upstream tarball yet another docx file lacking
    license.
  * Drop upstream cherry-picked patch now applied.
  * Unfuzz patches.
  * Fix (re)install man page.
    Closes: Bug#797469. Thanks to Alexander Kurtz and others.
  * Stop provide symlink for command hsmarkdown: No longer supported
    upstream.
  * Mark pandoc Multi-Arch:foreign, to ease bootstrapping new archs.
    Closes: bug#787894. Thanks to Johannes Schauer.
  * Fix tighten pandoc dependency on pandoc-data.
    Closes: bug#800935. Thanks to Oleksandr Gavenko.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Feb 2016 16:02:48 +0100

pandoc (1.15.1.1~dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Clint Adams <clint@debian.org>  Sun, 06 Dec 2015 18:24:16 -0500

pandoc (1.15.1.1~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update package relations:
    + Relax GHC upper bounds for aeson http-types syb hunit.
  * Update long descriptions:
    + Add new readers Word Docx and ODT. Capitalize Markdown format.
  * Update copyright info:
    + Add new copyright holder.
  * Add TODO item about including new bash-completion.
  * Fix lintian overrides.
  * Add lintian override regarding debhelper 9.
  * Add lintian override about missing execute bit: False positive (it
    is a template).
  * export LANG=C.UTF-8 to fix exception thrown building documentation.
  * Add patch cherry-picked upstream to fix crash building documentation
    in non-UTF8 locale.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Oct 2015 12:20:01 +0100

pandoc (1.15.0.6~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Exclude from repackaged upstream tarball yet another docx file
      lacking license.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend coverage for main upstream authors.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Update package relations:
    + Tighten GHC versioning for texmath highlighting-kate.
    + Relax GHC versioning for zlib quickcheck2 aeson hslua syb.
    + Add GHC relations for css-text filemanip cmark.
    + Drop GHC relations for css-text.
    + Fix add GHC relations for vector.
    + Relax GHC upper bounds for haddock-library cmark.
  * Update Homepage.
  * Unfuzz patches.
  * Stop install man pages: Handled by upstream build now.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 24 Aug 2015 15:51:19 +0200

=== debian/control ===
Source: pandoc
Section: text
Priority: optional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
 , Kiwamu Okabe <kiwamu@debian.or.jp>
 , Clint Adams <clint@debian.org>
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo,
 libimage-exiftool-perl,
 libregexp-assemble-perl,
 libipc-system-simple-perl,
 lcdf-typetools,
 ghc,
 alex,
 happy,
 libghc-unordered-containers-dev (<< 3),
 libghc-parsec3-dev (<< 3.2),
 libghc-mtl-dev (<< 2.3),
 libghc-network-dev (>= 2.6),
 libghc-network-uri-dev (>= 2.6),
 libghc-network-uri-dev (<< 2.7),
 libghc-text-dev (<< 1.3),
 libghc-zip-archive-dev (>= 0.2.3.4),
 libghc-zip-archive-dev (<< 0.3),
 libghc-http-dev (<< 1:4000.4),
 libghc-texmath-dev (>= 0.8.4.1),
 libghc-texmath-dev (<< 0.9),
 libghc-xml-dev (<< 1.4),
 libghc-random-dev (<<1.2 ),
 libghc-extensible-exceptions-dev (<< 0.2),
 libghc-pandoc-types-dev (>= 1.16),
 libghc-pandoc-types-dev (<< 1.17),
 libghc-aeson-dev (>= 0.7.0.5),
 libghc-aeson-dev (<< 0.11),
 libghc-tagsoup-dev (>= 0.13.1),
 libghc-tagsoup-dev (<< 0.14),
 libghc-base64-bytestring-dev (<< 1.1),
 libghc-zlib-dev (<< 0.7),
 libghc-highlighting-kate-dev (>= 0.6.1),
 libghc-highlighting-kate-dev (<< 0.7),
 libghc-data-default-dev (<< 0.6),
 libghc-temporary-dev (<< 1.3),
 libghc-blaze-html-dev (>= 0.5),
 libghc-blaze-html-dev (<< 0.9),
 libghc-blaze-markup-dev (<< 0.8),
 libghc-yaml-dev (>= 0.8.8.2),
 libghc-yaml-dev (<< 0.9),
 libghc-scientific-dev (<< 0.4),
 libghc-vector-dev (>= 0.10),
 libghc-vector-dev (<< 0.12),
 libghc-hslua-dev (<< 0.5),
 libghc-sha-dev (>= 1.6),
 libghc-sha-dev (<< 1.7),
 libghc-haddock-library-dev (<< 1.3),
 libghc-juicypixels-dev (<< 3.3),
 libghc-filemanip-dev (<< 0.4),
 libghc-cmark-dev (>= 0.5),
 libghc-cmark-dev (<< 0.6),
 libghc-http-client-dev (<< 0.5),
 libghc-http-client-tls-dev (<< 0.3),
 libghc-http-types-dev (>= 0.8),
 libghc-http-types-dev (<< 0.10),
 libghc-syb-dev (<< 0.7),
 ghc-prof,
 libghc-unordered-containers-prof,
 libghc-parsec3-prof,
 libghc-mtl-prof,
 libghc-network-prof,
 libghc-network-uri-prof,
 libghc-text-prof,
 libghc-zip-archive-prof,
 libghc-http-prof,
 libghc-texmath-prof,
 libghc-xml-prof,
 libghc-random-prof,
 libghc-extensible-exceptions-prof,
 libghc-pandoc-types-prof,
 libghc-aeson-prof,
 libghc-tagsoup-prof,
 libghc-base64-bytestring-prof,
 libghc-zlib-prof,
 libghc-highlighting-kate-prof,
 libghc-data-default-prof,
 libghc-temporary-prof,
 libghc-blaze-html-prof,
 libghc-blaze-markup-prof,
 libghc-yaml-prof,
 libghc-scientific-prof,
 libghc-vector-prof,
 libghc-hslua-prof,
 libghc-sha-prof,
 libghc-haddock-library-prof,
 libghc-juicypixels-prof,
 libghc-filemanip-prof,
 libghc-cmark-prof,
 libghc-http-client-prof,
 libghc-http-client-tls-prof,
 libghc-http-types-prof,
 libghc-syb-prof,
 haskell-devscripts (>= 0.8.19~)
Build-Depends-Indep: ghc-doc
  , libghc-unordered-containers-doc
  , libghc-parsec3-doc
  , libghc-mtl-doc
  , libghc-network-doc
  , libghc-network-uri-doc
  , libghc-text-doc
  , libghc-zip-archive-doc
  , libghc-http-doc
  , libghc-texmath-doc
  , libghc-xml-doc
  , libghc-random-doc
  , libghc-extensible-exceptions-doc
  , libghc-pandoc-types-doc
  , libghc-aeson-doc
  , libghc-tagsoup-doc
  , libghc-base64-bytestring-doc
  , libghc-zlib-doc
  , libghc-highlighting-kate-doc
  , libghc-data-default-doc
  , libghc-temporary-doc
  , libghc-blaze-html-doc
  , libghc-blaze-markup-doc
  , libghc-yaml-doc
  , libghc-scientific-doc
  , libghc-vector-doc
  , libghc-hslua-doc
  , libghc-sha-doc
  , libghc-haddock-library-doc
  , libghc-deepseq-generics-doc
  , libghc-juicypixels-doc
  , libghc-filemanip-doc
  , libghc-cmark-doc
  , libghc-http-client-doc
  , libghc-http-client-tls-doc
  , libghc-http-types-doc
  , libghc-text-doc
  , libghc-syb-doc
  , libghc-blaze-builder-doc
  , libghc-digest-doc
  , libghc-dlist-doc
  , libghc-hs-bibutils-doc
  , libghc-pcre-light-doc
  , libghc-transformers-doc
  , libghc-utf8-string-doc
Standards-Version: 3.9.6
Homepage: http://pandoc.org/
Vcs-Git: git://anonscm.debian.org/pkg-haskell/pandoc.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/pandoc.git

Package: pandoc
Architecture: any
Depends: ${cdbs:Depends}
 , ${misc:Depends}
 , ${shlibs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Multi-Arch: foreign
Description: general markup converter
 Pandoc is a Haskell library for converting
 from one markup format to another,
 and a command-line tool that uses this library.
 It can read several dialects of Markdown and (subsets of) HTML,
 reStructuredText, LaTeX, DocBook, MediaWiki markup, Haddock markup,
 OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
 and it can write Markdown, reStructuredText, HTML,
 LaTeX (including rendering as plain PDF or beamer slide shows),
 ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
 MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
 plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
 EPUB (v2 or v3), FictionBook2, InDesign ICML,
 and several kinds of HTML/javascript slide shows
 (S5, Slidy, Slideous, DZSlides, reveal.js).
 .
 In contrast to most existing tools for converting Markdown to HTML,
 pandoc has a modular design:
 it consists of a set of readers, which parse text in a given format
 and produce a native representation of the document,
 and a set of writers,
 which convert this native representation into a target format.
 Thus,
 adding an input or output format requires only adding a reader or writer.
 .
 This package contains the pandoc tool.
 .
 PDF output via PDFLaTeX requires the package texlive-latex-recommended.
  * XeLaTeX additionally requires texlive-xetex
  * LuaTeX additionally requires texlive-luatex
  * content with YAML metadata additionally requires etoolbox
 .
 PDF output via wkhtmltopdf requires the package wkhtmltopdf.

Package: pandoc-data
Architecture: all
Depends: ${cdbs:Depends}
 , ${misc:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Description: general markup converter - data files
 Pandoc is a Haskell library for converting
 from one markup format to another,
 and a command-line tool that uses this library.
 It can read several dialects of Markdown and (subsets of) HTML,
 reStructuredText, LaTeX, DocBook, MediaWiki markup, Haddock markup,
 OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
 and it can write Markdown, reStructuredText, HTML,
 LaTeX (including rendering as plain PDF or beamer slide shows),
 ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
 MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
 plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
 EPUB (v2 or v3), FictionBook2, InDesign ICML,
 and several kinds of HTML/javascript slide shows
 (S5, Slidy, Slideous, DZSlides, reveal.js).
 .
 In contrast to most existing tools for converting Markdown to HTML,
 pandoc has a modular design:
 it consists of a set of readers, which parse text in a given format
 and produce a native representation of the document,
 and a set of writers,
 which convert this native representation into a target format.
 Thus,
 adding an input or output format requires only adding a reader or writer.
 .
 This package contains the data files for pandoc.

Package: libghc-pandoc-dev
Section: haskell
Priority: extra
Architecture: any
Depends: ${cdbs:Depends}
 , ${haskell:Depends}
 , ${haskell:Extra-Depends}
 , ${misc:Depends}
 , ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: general markup converter - libraries
 Pandoc is a Haskell library for converting
 from one markup format to another,
 and a command-line tool that uses this library.
 It can read several dialects of Markdown and (subsets of) HTML,
 reStructuredText, LaTeX, DocBook, MediaWiki markup, Haddock markup,
 OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
 and it can write Markdown, reStructuredText, HTML,
 LaTeX (including rendering as plain PDF or beamer slide shows),
 ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
 MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
 plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
 EPUB (v2 or v3), FictionBook2, InDesign ICML,
 and several kinds of HTML/javascript slide shows
 (S5, Slidy, Slideous, DZSlides, reveal.js).
 .
 In contrast to most existing tools for converting Markdown to HTML,
 pandoc has a modular design:
 it consists of a set of readers, which parse text in a given format
 and produce a native representation of the document,
 and a set of writers,
 which convert this native representation into a target format.
 Thus,
 adding an input or output format requires only adding a reader or writer.
 .
 This package contains the libraries compiled for GHC.

Package: libghc-pandoc-doc
Section: doc
Priority: extra
Architecture: all
Depends: ${haskell:Depends}
 , ${haskell:Extra-Depends}
 , ${misc:Depends}
Recommends: ${haskell:Recommends}
Description: general markup converter - library documentation
 Pandoc is a Haskell library for converting
 from one markup format to another,
 and a command-line tool that uses this library.
 It can read several dialects of Markdown and (subsets of) HTML,
 reStructuredText, LaTeX, DocBook, MediaWiki markup, Haddock markup,
 OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
 and it can write Markdown, reStructuredText, HTML,
 LaTeX (including rendering as plain PDF or beamer slide shows),
 ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
 MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
 plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
 EPUB (v2 or v3), FictionBook2, InDesign ICML,
 and several kinds of HTML/javascript slide shows
 (S5, Slidy, Slideous, DZSlides, reveal.js).
 .
 In contrast to most existing tools for converting Markdown to HTML,
 pandoc has a modular design:
 it consists of a set of readers, which parse text in a given format
 and produce a native representation of the document,
 and a set of writers,
 which convert this native representation into a target format.
 Thus,
 adding an input or output format requires only adding a reader or writer.
 .
 This package contains the library documentation for Pandoc.

Package: libghc-pandoc-prof
Section: haskell
Priority: extra
Architecture: any
Depends: ${haskell:Depends}
 , ${haskell:Extra-Depends}
 , ${misc:Depends}
Suggests: ${cdbs:Suggests}
Provides: ${haskell:Provides}
Description: general markup converter - profiling libraries
 Pandoc is a Haskell library for converting
 from one markup format to another,
 and a command-line tool that uses this library.
 It can read several dialects of Markdown and (subsets of) HTML,
 reStructuredText, LaTeX, DocBook, MediaWiki markup, Haddock markup,
 OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
 and it can write Markdown, reStructuredText, HTML,
 LaTeX (including rendering as plain PDF or beamer slide shows),
 ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
 MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
 plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
 EPUB (v2 or v3), FictionBook2, InDesign ICML,
 and several kinds of HTML/javascript slide shows
 (S5, Slidy, Slideous, DZSlides, reveal.js).
 .
 In contrast to most existing tools for converting Markdown to HTML,
 pandoc has a modular design:
 it consists of a set of readers, which parse text in a given format
 and produce a native representation of the document,
 and a set of writers,
 which convert this native representation into a target format.
 Thus,
 adding an input or output format requires only adding a reader or writer.
 .
 This package contains the profiling libraries for Pandoc.

=== debian/rules ===
#!/usr/bin/make -f

# Copyright © 2006-2010 John MacFarlane <jgm@berkeley.edu>
# Copyright © 2007-2008 Recai Oktaş <roktas@debian.org>
# Copyright © 2008-2015 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Pandoc
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/hlibrary.mk

pkg = $(DEB_SOURCE_PACKAGE)
pkg-data = $(pkg)-data

# ABI by default follows upstream version (without repackaging suffix)
abi = $(DEB_UPSTREAM_TARBALL_VERSION)

DEB_UPSTREAM_URL = https://hackage.haskell.org/package/$(DEB_UPSTREAM_PACKAGE)-$(DEB_UPSTREAM_TARBALL_VERSION)

DEB_UPSTREAM_REPACKAGE_EXCLUDES = \
 data/LaTeXMathML.js \
 tests/docx/block_quotes.docx \
 tests/docx/char_styles.docx \
 tests/docx/deep_normalize.docx \
 tests/docx/drop_cap.docx \
 tests/docx/hanging_indent.docx \
 tests/docx/headers.docx \
 tests/docx/inline_formatting.docx \
 tests/docx/inline_images.docx \
 tests/docx/link_in_notes.docx \
 tests/docx/links.docx \
 tests/docx/lists.docx \
 tests/docx/metadata_after_normal.docx \
 tests/docx/metadata.docx \
 tests/docx/normalize.docx \
 tests/docx/notes.docx \
 tests/docx/numbered_header.docx \
 tests/docx/tables.docx \
 tests/docx/table_with_list_cell.docx \
 tests/s5-fancy.html

# Build-depend unversioned on debhelper
#  TODO: Drop when adopted in cdbs
CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper

# extract metadata from images, fonts and archives before copyright check
CDBS_BUILD_DEPENDS +=, libimage-exiftool-perl, libregexp-assemble-perl
CDBS_BUILD_DEPENDS +=, libipc-system-simple-perl, lcdf-typetools
local_inspection_regex = png|jpg|jpeg|gif|ttf|otf|docx|odt|epub
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^((.*/)?[^/]+\.($(local_inspection_regex))|debian/(changelog|copyright(|_hints|_newhints)))$$
debian/stamp-copyright-check: debian/stamp-extract-copyright
debian/stamp-extract-copyright:
	find * -type f -regextype posix-extended \
		-regex '.*\.($(local_inspection_regex))' \
		-print0 | perl -0 debian/print-metadata.pl
	touch $@
pre-build:: clean-extracted-copyright-during-build
clean-extracted-copyright-during-build: debian/stamp-copyright-check
	find -type f -name '*.metadata_dump' -delete
clean::
	find -type f -name '*.metadata_dump' -delete
	rm -f debian/stamp-extract-copyright

DEB_INSTALL_MANPAGES_$(pkg) = man/pandoc.1

# Use threaded RTS only when supported
DEB_SETUP_GHC_CONFIGURE_ARGS += $(if $(wildcard /usr/lib/ghc-$(GHC_VERSION)/libHSrts_thr.a),,--flags=-threaded)

# Disable timer to help build on slow arches like hppa
DEB_SETUP_GHC_CONFIGURE_ARGS += --ghc-options="+RTS -V0 -RTS"

DEB_DH_INSTALL_ARGS_pandoc-data = debian/tmp-inst-*/usr/share/pandoc/data /usr/share/pandoc/

# Haskell dependencies for any build from pandoc.cabal
deps-ghc += unordered-containers,<<,3
deps-ghc += parsec3,<<,3.2
deps-ghc += mtl,<<,2.3
deps-ghc += network,>=,2.6
deps-ghc += network-uri,>=,2.6
deps-ghc += network-uri,<<,2.7
deps-ghc += text,<<,1.3
deps-ghc += zip-archive,>=,0.2.3.4,<<,0.3
deps-ghc += http,<<,1:4000.4
deps-ghc += texmath,>=,0.8.4.1,<<,0.9
deps-ghc += xml,<<,1.4
deps-ghc += random,<<1.2
deps-ghc += extensible-exceptions,<<,0.2
deps-ghc += pandoc-types,>=,1.16,<<,1.17
deps-ghc += aeson,>=,0.7.0.5,<<,0.11
deps-ghc += tagsoup,>=,0.13.1,<<,0.14
deps-ghc += base64-bytestring,<<,1.1
deps-ghc += zlib,<<,0.7
deps-ghc += highlighting-kate,>=,0.6.1,<<,0.7
deps-ghc += data-default,<<,0.6
deps-ghc += temporary,<<,1.3
deps-ghc += blaze-html,>=,0.5,<<,0.9
deps-ghc += blaze-markup,<<,0.8
deps-ghc += yaml,>=,0.8.8.2,<<,0.9
deps-ghc += scientific,<<,0.4
deps-ghc += vector,>=,0.10,<<,0.12
deps-ghc += hslua,<<,0.5
deps-ghc += sha,>=,1.6,<<,1.7
deps-ghc += haddock-library,<<,1.3
deps-ghc += juicypixels,<<,3.3
deps-ghc += filemanip,<<,0.4
deps-ghc += cmark,>=,0.5,<<,0.6
deps-ghc += http-client,<<,0.5
deps-ghc += http-client-tls,<<,0.3
deps-ghc += http-types,>=,0.8,<<,0.10
deps-ghc += syb,<<,0.7

# Haskell dependencies for testsuite from pandoc.cabal
deps-ghc-test += diff,>=,0.2,<<,0.3
deps-ghc-test += test-framework,<<,0.9
deps-ghc-test += test-framework-hunit,<<,0.4
deps-ghc-test += test-framework-quickcheck2,<<,0.4
deps-ghc-test += quickcheck2,<<,2.9
deps-ghc-test += hunit,<<,1.4
deps-ghc-test += template-haskell,<<,2.9
deps-ghc-test += ansi-terminal,<<,0.7

# Haskell dependencies (maybe) needed for documentation
# TODO: actually use these (not maintain Build-depends-indep by hand)
deps-ghc-doc += blaze-builder
deps-ghc-doc += digest
deps-ghc-doc += dlist
deps-ghc-doc += hs-bibutils
deps-ghc-doc += pcre-light
deps-ghc-doc += rts
deps-ghc-doc += transformers
deps-ghc-doc += utf8-string

expand-ghc-dep = $(comma) libghc-$2-$1 $(if $3,($3 $4)$(if $5,$(comma) libghc-$2-$1 ($5 $6)))
strip-ghc-deps = $(foreach dep,$2,$(call expand-ghc-dep,$1,$(word 1,$(subst $(comma),$(space),$(dep)))))
expand-ghc-deps = $(foreach dep,$2,$(call expand-ghc-dep,$1,$(word 1,$(subst $(comma),$(space),$(dep))),$(word 2,$(subst $(comma),$(space),$(dep))),$(word 3,$(subst $(comma),$(space),$(dep))),$(word 4,$(subst $(comma),$(space),$(dep))),$(word 5,$(subst $(comma),$(space),$(dep)))))

# Needed by upstream build process
CDBS_BUILD_DEPENDS +=, ghc, alex, happy
CDBS_BUILD_DEPENDS += $(call expand-ghc-deps,dev,$(deps-ghc))
# FIXME: enable, set DEB_ENABLE_TESTS = yes, and configure with -ftests
#CDBS_BUILD_DEPENDS += $(call expand-ghc-deps,dev,$(deps-ghc-test))
CDBS_BUILD_DEPENDS +=, ghc-prof
CDBS_BUILD_DEPENDS +=, $(call strip-ghc-deps,prof,$(deps-ghc))
CDBS_BUILD_DEPENDS_INDEP +=, ghc-doc
CDBS_BUILD_DEPENDS_INDEP +=, $(call strip-ghc-deps,doc,$(deps-ghc) $(deps-ghc-doc))

# Needed for our packaging
#  * recent haskell-devscripts needed for version-less datadir
CDBS_BUILD_DEPENDS +=, haskell-devscripts (>= 0.8.19~)

# Needed (always/often/seldom) at runtime
#  texlive-* needed for PDF output
#  etoolbox needed for PDF output of data with YAML metadata
# TODO: suggest slide show Javascript libraries when in Debian
CDBS_DEPENDS_$(pkg) = $(pkg-data) (= $(DEB_VERSION))
CDBS_SUGGESTS_$(pkg) = texlive-latex-recommended, texlive-xetex, texlive-luatex
CDBS_SUGGESTS_$(pkg) +=, pandoc-citeproc, etoolbox, wkhtmltopdf

# Fix exception thrown building documentation:
# haddock: internal error: <stdout>: commitBuffer: invalid argument (invalid character)
export LANG=C.UTF-8

=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg.*// \
https://hackage.haskell.org/package/pandoc/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pandoc 1.17.2~dfsg

=== debian/changelog ===
pandoc (1.17.2~dfsg-3) unstable; urgency=medium

  * Reduce compile-time memory utilization on mips and mipsel.

 -- Clint Adams <clint@debian.org>  Fri, 11 Nov 2016 22:46:37 -0500

pandoc (1.17.2~dfsg-2) unstable; urgency=medium

  * Temporarily build-depend on ghc 8 and haskell-devscripts 0.13.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 20:55:47 -0400

pandoc (1.17.2~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Fix links with no explicit link text.
      Closes: Bug#828167.

  [ Jonas Smedegaard ]
  * Update long descriptions to (almost) sync with upstream cabal file:
    + Mention new writer for ZimWiki.
    + Mention reader for TWiki markup.
    + Mention explicitly each of readers XHTML and HTML 5.
  * Update package relations:
    + Relax GHC upper bounds for tagsoup http-client http-client-tls
      quickcheck2.
    + Tighten GHC lower bounds for texmath.
  * Add patch 2002 to revert recent seemingly unneeded build-dependency
    tightening for http-client and http-client-tls.
  * Unfuzz patches.
  * Modernize CDBS: Build-depend on licensecheck (not devscripts).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Aug 2016 12:49:00 +0200

pandoc (1.17.1~dfsg-2) unstable; urgency=medium

  [ Sean Whitton ]
  * Update package relations:
    Suggest texlive-latex-extra (not now transitional etoolbox).
    Closes: #833992. Thanks to Adrian Bunk.

  [ Jonas Smedegaard ]
  * Tidy long description.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Aug 2016 17:15:25 +0200

pandoc (1.17.1~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update watch file:
    + Avoid @ANY_VERSION@ (seemingly broken since devscripts 2.16.5).
  * Update package relations:
    + Relax GHC upper bounds for data-default haddock-library.
    + Tighten GHC lower bounds for texmath highlighting-kate.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Jun 2016 22:34:34 +0200

pandoc (1.17.0.3~dfsg-2) unstable; urgency=medium

  * Fix pandoc dependency on pandoc-doc.
    Closes: Bug#826537. Thanks to Simon McVittie.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Jun 2016 20:36:14 +0200

pandoc (1.17.0.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update watch file:
    + Add usage comment.
    + Bump to version 4.
    + Add repacksuffix option.
    + Use substitution variables.
  * Drop CDBS get-orig-source target: Use "gbp import-orig --uscan"
    instead.
  * Update copyright info:
    + Extend coverage for upstream authors to include current year.
    + Extend coverage of packaging to include current year.
  * Update long descriptions to mention new writer TEI Simple.
  * Declare compliance with Debian Policy 3.9.8.
  * Use https protocol in Vcs-Git URL.
  * Modernize git-buildpackage config:
    + Drop git- prefix.
    + Ignore anything .git*.
  * Unfuzz patches.
  * Modernize copyright-check.
  * Update package relations:
    + Relax GHC upper bounds for zip-archive aeson.
    + Tighten GHC lower bounds for tagsoup.
    + Tighten to build-depend versioned on cdbs: Needed for improved
      copyright-check.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Jun 2016 16:21:34 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,13 @@
 Uploaders: Jonas Smedegaard <dr@jones.dk>
  , Kiwamu Okabe <kiwamu@debian.or.jp>
  , Clint Adams <clint@debian.org>
-Build-Depends: cdbs,
- devscripts,
+Build-Depends: cdbs (>= 0.4.131~),
+ licensecheck,
+ libregexp-assemble-perl,
+ libimage-exiftool-perl,
+ libfont-ttf-perl,
  debhelper,
  dh-buildinfo,
- libimage-exiftool-perl,
- libregexp-assemble-perl,
- libipc-system-simple-perl,
- lcdf-typetools,
  ghc,
  alex,
  happy,
@@ -24,9 +23,9 @@
  libghc-network-uri-dev (<< 2.7),
  libghc-text-dev (<< 1.3),
  libghc-zip-archive-dev (>= 0.2.3.4),
- libghc-zip-archive-dev (<< 0.3),
+ libghc-zip-archive-dev (<< 0.4),
  libghc-http-dev (<< 1:4000.4),
- libghc-texmath-dev (>= 0.8.4.1),
+ libghc-texmath-dev (>= 0.8.6.4),
  libghc-texmath-dev (<< 0.9),
  libghc-xml-dev (<< 1.4),
  libghc-random-dev (<<1.2 ),
@@ -34,14 +33,14 @@
  libghc-pandoc-types-dev (>= 1.16),
  libghc-pandoc-types-dev (<< 1.17),
  libghc-aeson-dev (>= 0.7.0.5),
- libghc-aeson-dev (<< 0.11),
- libghc-tagsoup-dev (>= 0.13.1),
- libghc-tagsoup-dev (<< 0.14),
+ libghc-aeson-dev (<< 0.12),
+ libghc-tagsoup-dev (>= 0.13.7),
+ libghc-tagsoup-dev (<< 0.15),
  libghc-base64-bytestring-dev (<< 1.1),
  libghc-zlib-dev (<< 0.7),
- libghc-highlighting-kate-dev (>= 0.6.1),
+ libghc-highlighting-kate-dev (>= 0.6.2),
  libghc-highlighting-kate-dev (<< 0.7),
- libghc-data-default-dev (<< 0.6),
+ libghc-data-default-dev (<< 0.8),
  libghc-temporary-dev (<< 1.3),
  libghc-blaze-html-dev (>= 0.5),
  libghc-blaze-html-dev (<< 0.9),
@@ -54,13 +53,13 @@
  libghc-hslua-dev (<< 0.5),
  libghc-sha-dev (>= 1.6),
  libghc-sha-dev (<< 1.7),
- libghc-haddock-library-dev (<< 1.3),
+ libghc-haddock-library-dev (<< 1.5),
  libghc-juicypixels-dev (<< 3.3),
  libghc-filemanip-dev (<< 0.4),
  libghc-cmark-dev (>= 0.5),
  libghc-cmark-dev (<< 0.6),
- libghc-http-client-dev (<< 0.5),
- libghc-http-client-tls-dev (<< 0.3),
+ libghc-http-client-dev (<< 0.6),
+ libghc-http-client-tls-dev (<< 0.4),
  libghc-http-types-dev (>= 0.8),
  libghc-http-types-dev (<< 0.10),
  libghc-syb-dev (<< 0.7),
@@ -146,9 +145,9 @@
   , libghc-pcre-light-doc
   , libghc-transformers-doc
   , libghc-utf8-string-doc
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://pandoc.org/
-Vcs-Git: git://anonscm.debian.org/pkg-haskell/pandoc.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/pandoc.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/pandoc.git
 
 Package: pandoc
@@ -156,6 +155,8 @@
 Depends: ${cdbs:Depends}
  , ${misc:Depends}
  , ${shlibs:Depends}
+ , pandoc-data (>= ${source:Version})
+ , pandoc-data (<< ${source:Version}.~)
 Recommends: ${cdbs:Recommends}
 Suggests: ${cdbs:Suggests}
 Multi-Arch: foreign
@@ -164,14 +165,15 @@
  from one markup format to another,
  and a command-line tool that uses this library.
  It can read several dialects of Markdown and (subsets of) HTML,
- reStructuredText, LaTeX, DocBook, MediaWiki markup, Haddock markup,
- OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
- and it can write Markdown, reStructuredText, HTML,
- LaTeX (including rendering as plain PDF or beamer slide shows),
- ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
- MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
- plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
- EPUB (v2 or v3), FictionBook2, InDesign ICML,
+ reStructuredText, LaTeX, DocBook,
+ MediaWiki markup, TWiki markup, Haddock markup,
+ OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
+ and it can write Markdown, reStructuredText, XHTML, HTML 5,
+ LaTeX (including rendering as plain PDF or beamer slide shows),
+ ConTeXt, DocBook, OPML, TEI, OpenDocument, ODT, Word docx, RTF,
+ MediaWiki, DokuWiki, ZimWiki, Textile, groff man pages, GNU Texinfo,
+ plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
+ EPUB (v2 and v3), FictionBook2, InDesign ICML,
  and several kinds of HTML/javascript slide shows
  (S5, Slidy, Slideous, DZSlides, reveal.js).
  .
@@ -189,7 +191,8 @@
  PDF output via PDFLaTeX requires the package texlive-latex-recommended.
   * XeLaTeX additionally requires texlive-xetex
   * LuaTeX additionally requires texlive-luatex
-  * content with YAML metadata additionally requires etoolbox
+  * content with YAML metadata additionally requires
+    texlive-latex-extra.
  .
  PDF output via wkhtmltopdf requires the package wkhtmltopdf.
 
@@ -204,14 +207,15 @@
  from one markup format to another,
  and a command-line tool that uses this library.
  It can read several dialects of Markdown and (subsets of) HTML,
- reStructuredText, LaTeX, DocBook, MediaWiki markup, Haddock markup,
- OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
- and it can write Markdown, reStructuredText, HTML,
- LaTeX (including rendering as plain PDF or beamer slide shows),
- ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
- MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
- plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
- EPUB (v2 or v3), FictionBook2, InDesign ICML,
+ reStructuredText, LaTeX, DocBook,
+ MediaWiki markup, TWiki markup, Haddock markup,
+ OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
+ and it can write Markdown, reStructuredText, XHTML, HTML 5,
+ LaTeX (including rendering as plain PDF or beamer slide shows),
+ ConTeXt, DocBook, OPML, TEI, OpenDocument, ODT, Word docx, RTF,
+ MediaWiki, DokuWiki, ZimWiki, Textile, groff man pages, GNU Texinfo,
+ plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
+ EPUB (v2 and v3), FictionBook2, InDesign ICML,
  and several kinds of HTML/javascript slide shows
  (S5, Slidy, Slideous, DZSlides, reveal.js).
  .
@@ -243,14 +247,15 @@
  from one markup format to another,
  and a command-line tool that uses this library.
  It can read several dialects of Markdown and (subsets of) HTML,
- reStructuredText, LaTeX, DocBook, MediaWiki markup, Haddock markup,
- OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
- and it can write Markdown, reStructuredText, HTML,
- LaTeX (including rendering as plain PDF or beamer slide shows),
- ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
- MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
- plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
- EPUB (v2 or v3), FictionBook2, InDesign ICML,
+ reStructuredText, LaTeX, DocBook,
+ MediaWiki markup, TWiki markup, Haddock markup,
+ OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
+ and it can write Markdown, reStructuredText, XHTML, HTML 5,
+ LaTeX (including rendering as plain PDF or beamer slide shows),
+ ConTeXt, DocBook, OPML, TEI, OpenDocument, ODT, Word docx, RTF,
+ MediaWiki, DokuWiki, ZimWiki, Textile, groff man pages, GNU Texinfo,
+ plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
+ EPUB (v2 and v3), FictionBook2, InDesign ICML,
  and several kinds of HTML/javascript slide shows
  (S5, Slidy, Slideous, DZSlides, reveal.js).
  .
@@ -278,14 +283,15 @@
  from one markup format to another,
  and a command-line tool that uses this library.
  It can read several dialects of Markdown and (subsets of) HTML,
- reStructuredText, LaTeX, DocBook, MediaWiki markup, Haddock markup,
- OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
- and it can write Markdown, reStructuredText, HTML,
- LaTeX (including rendering as plain PDF or beamer slide shows),
- ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
- MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
- plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
- EPUB (v2 or v3), FictionBook2, InDesign ICML,
+ reStructuredText, LaTeX, DocBook,
+ MediaWiki markup, TWiki markup, Haddock markup,
+ OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
+ and it can write Markdown, reStructuredText, XHTML, HTML 5,
+ LaTeX (including rendering as plain PDF or beamer slide shows),
+ ConTeXt, DocBook, OPML, TEI, OpenDocument, ODT, Word docx, RTF,
+ MediaWiki, DokuWiki, ZimWiki, Textile, groff man pages, GNU Texinfo,
+ plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
+ EPUB (v2 and v3), FictionBook2, InDesign ICML,
  and several kinds of HTML/javascript slide shows
  (S5, Slidy, Slideous, DZSlides, reveal.js).
  .
@@ -314,24 +320,22 @@
  from one markup format to another,
  and a command-line tool that uses this library.
  It can read several dialects of Markdown and (subsets of) HTML,
- reStructuredText, LaTeX, DocBook, MediaWiki markup, Haddock markup,
- OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
- and it can write Markdown, reStructuredText, HTML,
- LaTeX (including rendering as plain PDF or beamer slide shows),
- ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
- MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
- plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
- EPUB (v2 or v3), FictionBook2, InDesign ICML,
- and several kinds of HTML/javascript slide shows
- (S5, Slidy, Slideous, DZSlides, reveal.js).
- .
- In contrast to most existing tools for converting Markdown to HTML,
- pandoc has a modular design:
- it consists of a set of readers, which parse text in a given format
- and produce a native representation of the document,
- and a set of writers,
- which convert this native representation into a target format.
- Thus,
- adding an input or output format requires only adding a reader or writer.
- .
- This package contains the profiling libraries for Pandoc.
+ reStructuredText, LaTeX, DocBook,
+ MediaWiki markup, TWiki markup, Haddock markup,
+ OPML, Emacs Org-mode, txt2tags, Word Docx, ODT, and Textile,
+ and it can write Markdown, reStructuredText, XHTML, HTML 5,
+ LaTeX (including rendering as plain PDF or beamer slide shows),
+ ConTeXt, DocBook, OPML, TEI, OpenDocument, ODT, Word docx, RTF,
+ MediaWiki, DokuWiki, ZimWiki, Textile, groff man pages, GNU Texinfo,
+ plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
+ EPUB (v2 and v3), FictionBook2, InDesign ICML,
+ and several kinds of HTML/javascript slide shows
+ (S5, Slidy, Slideous, DZSlides, reveal.js).
+ .
+ In contrast to most existing tools for converting Markdown to HTML,
+ pandoc has a modular design:
+ it consists of a set of readers, which parse text in a given format
+ and produce a native representation of the document,
+ and a set of writers,
+ which convert this native representation into a target format.
+ Thus,

=== debian/rules ===
#!/usr/bin/make -f

# Copyright © 2006-2010 John MacFarlane <jgm@berkeley.edu>
# Copyright © 2007-2008 Recai Oktaş <roktas@debian.org>
# Copyright © 2008-2016 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Pandoc
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/hlibrary.mk

pkg = $(DEB_SOURCE_PACKAGE)
pkg-data = $(pkg)-data

# ABI by default follows upstream version (without repackaging suffix)
abi = $(DEB_UPSTREAM_TARBALL_VERSION)

DEB_COPYRIGHT_EXTRACT_EXTS = png jpg jpeg gif ttf otf
DEB_COPYRIGHT_CHECK_IGNORE_EXTS = docx odt epub
DEB_COPYRIGHT_CHECK_MERGE_SAME_LICENSE = yes

DEB_INSTALL_MANPAGES_$(pkg) = man/pandoc.1

# Use threaded RTS only when supported
DEB_SETUP_GHC_CONFIGURE_ARGS += $(if $(wildcard /usr/lib/ghc-$(GHC_VERSION)/libHSrts_thr.a),,--flags=-threaded)

# Disable timer to help build on slow arches like hppa
DEB_SETUP_GHC_CONFIGURE_ARGS += --ghc-options="+RTS -V0 -RTS"

ifneq (,$(filter $(DEB_BUILD_ARCH),mips mipsel))
    DEB_SETUP_GHC_CONFIGURE_ARGS += --ghc-options="-optc--param -optcggc-min-expand=10"
endif

DEB_DH_INSTALL_ARGS_pandoc-data = debian/tmp-inst-*/usr/share/pandoc/data /usr/share/pandoc/

# Haskell dependencies for any build from pandoc.cabal
deps-ghc += unordered-containers,<<,3
deps-ghc += parsec3,<<,3.2
deps-ghc += mtl,<<,2.3
deps-ghc += network,>=,2.6
deps-ghc += network-uri,>=,2.6
deps-ghc += network-uri,<<,2.7
deps-ghc += text,<<,1.3
deps-ghc += zip-archive,>=,0.2.3.4,<<,0.4
deps-ghc += http,<<,1:4000.4
deps-ghc += texmath,>=,0.8.6.4,<<,0.9
deps-ghc += xml,<<,1.4
deps-ghc += random,<<1.2
deps-ghc += extensible-exceptions,<<,0.2
deps-ghc += pandoc-types,>=,1.16,<<,1.17
deps-ghc += aeson,>=,0.7.0.5,<<,0.12
deps-ghc += tagsoup,>=,0.13.7,<<,0.15
deps-ghc += base64-bytestring,<<,1.1
deps-ghc += zlib,<<,0.7
deps-ghc += highlighting-kate,>=,0.6.2,<<,0.7
deps-ghc += data-default,<<,0.8
deps-ghc += temporary,<<,1.3
deps-ghc += blaze-html,>=,0.5,<<,0.9
deps-ghc += blaze-markup,<<,0.8
deps-ghc += yaml,>=,0.8.8.2,<<,0.9
deps-ghc += scientific,<<,0.4
deps-ghc += vector,>=,0.10,<<,0.12
deps-ghc += hslua,<<,0.5
deps-ghc += sha,>=,1.6,<<,1.7
deps-ghc += haddock-library,<<,1.5
deps-ghc += juicypixels,<<,3.3
deps-ghc += filemanip,<<,0.4
deps-ghc += cmark,>=,0.5,<<,0.6
deps-ghc += http-client,<<,0.6
deps-ghc += http-client-tls,<<,0.4
deps-ghc += http-types,>=,0.8,<<,0.10
deps-ghc += syb,<<,0.7

# Haskell dependencies for testsuite from pandoc.cabal
deps-ghc-test += diff,>=,0.2,<<,0.3
deps-ghc-test += test-framework,<<,0.9
deps-ghc-test += test-framework-hunit,<<,0.4
deps-ghc-test += test-framework-quickcheck2,<<,0.4
deps-ghc-test += quickcheck2,<<,2.10
deps-ghc-test += hunit,<<,1.4
deps-ghc-test += template-haskell,<<,2.9
deps-ghc-test += ansi-terminal,<<,0.7

# Haskell dependencies (maybe) needed for documentation
# TODO: actually use these (not maintain Build-depends-indep by hand)
deps-ghc-doc += blaze-builder
deps-ghc-doc += digest
deps-ghc-doc += dlist
deps-ghc-doc += hs-bibutils
deps-ghc-doc += pcre-light
deps-ghc-doc += rts
deps-ghc-doc += transformers
deps-ghc-doc += utf8-string

expand-ghc-dep = $(comma) libghc-$2-$1 $(if $3,($3 $4)$(if $5,$(comma) libghc-$2-$1 ($5 $6)))
strip-ghc-deps = $(foreach dep,$2,$(call expand-ghc-dep,$1,$(word 1,$(subst $(comma),$(space),$(dep)))))
expand-ghc-deps = $(foreach dep,$2,$(call expand-ghc-dep,$1,$(word 1,$(subst $(comma),$(space),$(dep))),$(word 2,$(subst $(comma),$(space),$(dep))),$(word 3,$(subst $(comma),$(space),$(dep))),$(word 4,$(subst $(comma),$(space),$(dep))),$(word 5,$(subst $(comma),$(space),$(dep)))))

# Needed by upstream build process
CDBS_BUILD_DEPENDS +=, ghc, alex, happy
CDBS_BUILD_DEPENDS += $(call expand-ghc-deps,dev,$(deps-ghc))
# FIXME: enable, set DEB_ENABLE_TESTS = yes, and configure with -ftests
#CDBS_BUILD_DEPENDS += $(call expand-ghc-deps,dev,$(deps-ghc-test))
CDBS_BUILD_DEPENDS +=, ghc-prof
CDBS_BUILD_DEPENDS +=, $(call strip-ghc-deps,prof,$(deps-ghc))
CDBS_BUILD_DEPENDS_INDEP +=, ghc-doc
CDBS_BUILD_DEPENDS_INDEP +=, $(call strip-ghc-deps,doc,$(deps-ghc) $(deps-ghc-doc))

# Needed for our packaging
#  * recent haskell-devscripts needed for version-less datadir
CDBS_BUILD_DEPENDS +=, haskell-devscripts (>= 0.8.19~)

# Needed (always/often/seldom) at runtime
#  texlive-* needed for PDF output
#  recent texlive-latex-extra needed for PDF output of data with YAML metadata
# TODO: suggest slide show Javascript libraries when in Debian
CDBS_SUGGESTS_$(pkg) = texlive-latex-recommended, texlive-xetex, texlive-luatex
CDBS_SUGGESTS_$(pkg) +=, pandoc-citeproc, texlive-latex-extra (>= 2015.20150625-1), wkhtmltopdf

# Fix exception thrown building documentation:
# haddock: internal error: <stdout>: commitBuffer: invalid argument (invalid character)
export LANG=C.UTF-8

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="dversionmangle=s/~dfsg.*//,repacksuffix=~dfsg" \
 https://hackage.haskell.org/package/@PACKAGE@/distro-monitor \
 .*-(\d[\d\.]+)@ARCHIVE_EXT@
